CREATE OR REPLACE TRIGGER USR_AUTOFORNE
BEFORE DELETE ON AUTOFORNE FOR EACH ROW
DECLARE
    V_COUNT NUMBER;
BEGIN
    IF NOT :OLD.USR_NRAUTOFORN IS NULL THEN
        IF DELETING THEN
            BEGIN
                SELECT 1
                  INTO V_COUNT
                  FROM DUAL
                 WHERE EXISTS (SELECT 1
                                 FROM USR_AUTOFORNE
                                WHERE CDFILDEST  = :OLD.CDFILDEST
                                  AND CDFILLANC  = :OLD.CDFILLANC
                                  AND NRAUTOFORN = :OLD.NRAUTOFORN);
            EXCEPTION
                WHEN NO_DATA_FOUND THEN
                    INSERT INTO USR_AUTOFORNE (NRUSRAUTOFORNE,
                                               CDOPERADOR,
                                               USR_NRAUTOFORN,
                                               CDFILDEST,
                                               CDFILLANC,
                                               NRAUTOFORN,
                                               CDFORNECED,
                                               IDTPFORPGTAF,
                                               NRORG)
                                       VALUES (SEQ_USR_AUTOFORNE.NEXTVAL,
                                               :OLD.CDOPERADOR,
                                               :OLD.USR_NRAUTOFORN,
                                               :OLD.CDFILDEST,
                                               :OLD.CDFILLANC,
                                               :OLD.NRAUTOFORN,
                                               :OLD.CDFORNECED,
                                               :OLD.IDTPFORPGTAF,
                                               :OLD.NRORG);
            END;
        END IF;
    END IF;      
END;
/